package org.jeecg.modules.xcx.goods.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.xcx.goods.req.*;

public interface IGoodsService {

    /**
     * 商品列表
     * @param goodsListReq
     * @return
     */
    Result<?> getGoodsList(GoodsListReq goodsListReq);

    /**
     * 查看商品详情
     * @param id
     * @return
     */
    Result<?> getGoodsOne(GoodsDetailReq goodsDetailReq);

    /**
     * 加入购物车
     * @param joinShoppingCartReq
     * @return
     */
    Result<?> joinShoppingCart(JoinShoppingCartReq joinShoppingCartReq);

    /**
     * 购物车分页
     * @param shoppingCartPageReq
     * @return
     */
    Result<?> shoppingCartPage(ShoppingCartPageReq shoppingCartPageReq);

    /**
     * 删除购物车
     * @param deleteShoppingCartReq
     * @return
     */
    Result<?> deleteShoppingCart(DeleteShoppingCartReq deleteShoppingCartReq);

    /**
     * 数量新增或减少
     * @param addOrDeleteNumReq
     * @return
     */
    Result<?> addOrDeleteNum(AddOrDeleteNumReq addOrDeleteNumReq);

    /**
     * 获取商品多规格
     * @param id
     * @return
     */
    Result<?> getGoodsSku(String id);

    /**
     * 修改购物车的多规格
     * @param editShoppingCatByGoodsIdReq
     * @return
     */
    Result<?> editShoppingCatByGoodsId(EditShoppingCatByGoodsIdReq editShoppingCatByGoodsIdReq);

}
